diff --git a/mojo/public/mojom/base/file_path.mojom b/mojo/public/mojom/base/file_path.mojom
index 674d8cd..097b37e 100644
--- a/mojo/public/mojom/base/file_path.mojom
+++ b/mojo/public/mojom/base/file_path.mojom
@@ -5,7 +5,13 @@
 module mojo_base.mojom;
 
 struct FilePath {
-  [EnableIf=file_path_is_string]
+  // In chrome, ninja have a goal that can define file_path_is_string for a set
+  // of mojom files.
+  // In android we don't have such ability ,one would have to add
+  // "--enable_feature file_path_is_string" to all targets generating pickle
+  //  files, headers and sources, and also in all project including them.
+  // Faster solution was to just remove this "EnableIf" definition in libchrome.
+  // [EnableIf=file_path_is_string]
   string path;
 
   // This duplicates the contents of mojo_base.mojom.String16. String16 isn't
